Subject: Re: [RFC] Kernel unaligned access at __skb_flow_dissect

From: Sowmini Varadhan <[email-masked]>
Date: Fri, 29 Jan 2016 18:58:00 -0500

On (01/29/16 15:31), Tom Herbert wrote:
> But even within flow dissector, to be completely correct, we need to
> replace all 32-bit accesses with the mempy (flow_label, mpls label,
> keyid) and be vigilant about new ones coming in. For that matter, ..

well, one question that came to my mind when I was looking at this is:
why does eth_get_headlen try to compute the flow hash even before the
driver has had a chance to pull things into an aligned buffer? Isn't
that just risking even more unaligned accesses?